// priority: 100
ServerEvents.recipes(event => {
  
  // Replacing items with other items (or with tags if the original mod forgot to do so)
  let replaceItemInRecipes = (original, replacement) => {
    event.replaceInput({input: original }, original, replacement)  
  }
  
  //replaceItemInRecipes('aether:skyroot_stick', '#c:rods/wooden')
  

  // Mirroring Purpur Tile recipe to be consistent with Checker Block recipe
  event.remove({id: 'enderscape:purpur_tiles'})
  event.shaped('enderscape:purpur_tiles', [
    'PD ',
    'DP ',
    '   ',
  ], {
    P: 'minecraft:purpur_block',
    D: 'enderscape:dusk_purpur_block',
  })

  event.remove({id: 'minecraft:shulker_box'})
  event.shaped('minecraft:shulker_box', [
    ' S ',
    ' C ',
    ' S ',
  ], {
    C: '#c:chests/wooden',
    S: 'minecraft:shulker_shell',
  })

  event.remove({id: 'sawmill:sawmill'})
  event.shaped('sawmill:sawmill', [
    '   ',
    'SIS',
    'PPP',
  ], {
    I: '#c:ingots/iron',
    P: '#minecraft:planks',
    S: '#c:rods/wooden',
  })
  
  event.remove({id: 'supplementaries:bamboo_spikes'})
  event.shaped('supplementaries:bamboo_spikes', [
    '   ',
    'BBB',
    'SSS',
  ], {
    B: 'minecraft:bamboo',
    S: '#minecraft:wooden_slabs',
  })

  event.remove({id: 'quark:tweaks/crafting/utility/misc/easy_sticks'})

  event.remove({id: 'quark:building/crafting/glass_item_frame'})
  event.shapeless('quark:glass_item_frame', [
    'minecraft:item_frame',
    '#c:glass_panes/colorless',
  ])

  event.shapeless('quark:glowing_glass_item_frame', [
    'minecraft:glow_item_frame',
    '#c:glass_panes/colorless',
  ])

  event.remove({id: 'quark:building/crafting/glowing_glass_item_frame'})
  event.shapeless('quark:glowing_glass_item_frame', [
    'quark:glass_item_frame',
    'minecraft:glow_ink_sac',
  ])

  event.remove({id: 'minecraft:lead'})

  // Glance Pillar recipe

  /*event.shaped('kubejs:glance_pillar', [
    ' S ',
    ' S ',
    '   ',
  ], {
    S: 'oreganized:polished_glance_slab',
  })*/

  // Making more stuff into storage blocks
  let storageBlocking = (item, storageBlock) => {
    event.remove({output: storageBlock})
    event.shaped(storageBlock, [
      'III',
      'III',
      'III'
    ],{
      I:item,
    })
    
    event.shapeless(`9x ${item}`, [
      storageBlock,
    ])
  }
  
//  storageBlocking('aether:blue_berry', 'ascended_quark:blue_berry_crate')


  
})